/**
 * Creating a sidebar enables you to:
 - create an ordered group of docs
 - render a sidebar for each doc of that group
 - provide next/previous navigation

 The sidebars can be generated from the filesystem, or explicitly defined here.

 Create as many sidebars as you want.
 */

module.exports = {
  defaultSidebar: [
    'overview',
    'roadmap',
    'account',
    'status-and-error-codes',
    {
      type: 'link',
      label: 'Terms of Service',
      href: 'https://www.fitko.de/',
    },
    {
      type: 'category',
      label: 'Getting Started',
      items: [
        'getting-started/overview',
        'getting-started/authentication',
        'getting-started/encryption',
        {
          type: 'category',
          label: 'Versenden',
          items: [
            {
              type: 'autogenerated',
              dirName: 'getting-started/sending',
            },
          ],
        },
        {
          type: 'category',
          label: 'Empfangen',
          items: [
            {
              type: 'autogenerated',
              dirName: 'getting-started/receiving',
            },
          ],
        },
      ],
    },
    // {
    //   type: 'category',
    //   label: 'SDK',
    //   items: [{
    //     type: 'autogenerated',
    //     dirName: 'sdk'
    //   }]
    // },
    {
      type: 'category',
      label: 'Spezifikationen/Schemata',
      items: [
        {
          type: "autogenerated",
          dirName: "apis",
        },
      ],
    },
    {
      type: 'category',
      label: 'Detailinformationen',
      items: [
        'details/encryption',
        'details/event-log',
        {
          type: 'category',
          label: 'Authentifizierung',
          items: [
            {
              type: 'autogenerated',
              dirName: 'details/authentication',
            },
          ],
        },
      ],
    },
    {
      type: 'category',
      label: 'Weiteres',
      items: [
        'more/glossary',
        {
          type: 'link',
          label: '🚧 Feedback',
          href: 'https://jira.fiep-poc.de/servicedesk/customer/portal/1',
        },
        {
          type: 'link',
          label: 'Impressum',
          href: 'https://www.fitko.de/Impressum',
        },
      ],
    },
  ],

  // anotherSidebar: [{
  //   type: 'autogenerated',
  //   dirName: '.', // generate sidebar slice from the docs folder (or versioned_docs/<version>)
  // }],
}
